#include <bits/stdc++.h>
using namespace std;
int main()
{
	long long n,r=1;
	cin>>n;
	vector<long long>v(n);
	for(long long i=0;i<n;++i)
	{
		cin>>v[i];
	}
	long long sum =0;
	for(long long i=n-2;i>=0;i--)
	{
		if(v[i]==v[i+1])
		{
			r++;
		}
		else
		{
			for(long long j=0;j<i+1;++j)
			{
				v[j]-=r;
				if(v[j]<0)v[j]=0;
			}
			sum+=r*v[i+1];
			r=1;
		}
	}
	sum+=v[0];
	 cout<<sum;
}